List counterparties
curl --request GET \
--url https://api.range.org/v2/counterparties \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/counterparties"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/counterparties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "Vercel",
"type": "vendor",
"created_at": "2026-05-01T10:00:00Z",
"updated_at": "2026-05-11T14:30:00Z",
"website": "https://vercel.com",
"addresses": [
{
"id": "08846e81-b3a8-7fd9-cc39-d4023a75dcff",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"label": "payment address"
}
]
}
],
"meta": {
"next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
"total_count": 100,
"page_number": 1
}
}Counterparties
List counterparties
GET
/
v2
/
counterparties
List counterparties
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Query Parameters
Filter by relationship type
Available options:
vendor, customer, investor, partner, exchange, other Example:
"vendor"
Search by name
Example:
"Vercel"
Required range:
1 <= x <= 200Example:
50
Pagination cursor
Include each counterparty's saved addresses inline (default: false)
Last modified on August 5, 2026
Was this page helpful?
⌘I